# $Revision: 1.44 $, $Date: 2010/11/12 23:38:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	CRC32
Summary:	String::CRC32 - Perl interface to CRC32 generation
Summary(pl.UTF-8):	String::CRC32 - perlowy interfejs do generowania CRC32
Name:		perl-String-CRC32
Version:	1.4
Release:	6
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b241bc4a482a3aa59fbb1429bc30546
URL:		http://search.cpan.org/dist/String-CRC32/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::CRC32 module calculates CRC of 32 bit lenghts.

%description -l pl.UTF-8
Moduł String::CRC32 oblicza CRC długości 32 bitów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/String/CRC32.pm
%dir %{perl_vendorarch}/auto/String/CRC32
%{perl_vendorarch}/auto/String/CRC32/CRC32.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/CRC32/CRC32.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-CRC32.spec,v $
Revision 1.44  2010/11/12 23:38:19  pawelz
- release 6

Revision 1.43  2010/06/06 08:42:16  arekm
- release 5

Revision 1.42  2009/03/14 11:58:43  hawk
- release 4

Revision 1.41  2008/03/24 21:16:02  qboosh
- generic URL, informative summaries

Revision 1.40  2008-03-02 18:11:12  radek
- release 3

Revision 1.39  2008-02-10 12:19:36  arekm
- rel 2

Revision 1.38  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.37  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.35  2006/08/07 21:27:48  agaran
- up to 1.4, rel 1, builds here

Revision 1.34  2005/05/31 17:03:14  petec
- up to 1.3

Revision 1.33  2004/11/03 22:30:45  paladine
- formatting

Revision 1.32  2004/05/07 00:41:21  ankry
- rel. 8

Revision 1.31  2004/05/06 18:21:08  ankry
- fixed perl-devel BR

Revision 1.30  2004/05/01 00:35:18  ankry
- tests added, license fix

Revision 1.29  2004/02/25 22:28:48  undefine
- release 7 to allow upgrade from RA

Revision 1.28  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:46:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:38:23  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:15:01  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:20:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:34:49  depesz
adapterized

Revision 1.13  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2001/04/17 12:15:54  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/23 20:57:48  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:36  pius
- updated to 1.2

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
